Unbind
Templates

List Available Templates

List all templates that can be deployed.

GET
/templates/list

List all templates that can be deployed.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/templates/list"
{  "data": [    {      "created_at": "2019-08-24T14:15:22Z",      "definition": {        "description": "string",        "display_rank": 0,        "icon": "string",        "inputs": [          {            "collapsed": true,            "default": "string",            "description": "string",            "hidden": true,            "id": "string",            "name": "string",            "port_protocol": "TCP",            "required": true,            "target_port": 0,            "type": "variable",            "volume": {              "capacity_gb": "string",              "mountPath": "string",              "name": "string"            }          }        ],        "keywords": [          "string"        ],        "name": "string",        "required_capabilities": [          "string"        ],        "resource_recommendations": {          "minimum_recommended_cpu": 0.1,          "minimum_recommended_ram_gb": 0.1        },        "services": [          {            "builder": "railpack",            "database_config": {              "defaultDatabaseName": "string",              "initdb": "string",              "innodbBufferPoolSizeMb": 0,              "maxReplicationSlots": 0,              "maxSlotWalKeepSizeMb": 0,              "maxWalSenders": 0,              "sharedBuffersMb": 0,              "storage": "string",              "version": "string",              "walLevel": "replica"            },            "database_type": "string",            "depends_on": [              "string"            ],            "display_rank": 0,            "health_check": {              "command": "string",              "health_failure_threshold": 0,              "health_period_seconds": 0,              "health_timeout_seconds": 0,              "path": "string",              "port": 0,              "startup_failure_threshold": 0,              "startup_period_seconds": 0,              "startup_timeout_seconds": 0,              "type": "http"            },            "icon": "string",            "id": "string",            "image": "string",            "init_containers": [              {                "command": "string",                "image": "string"              }            ],            "init_db_replacers": {              "property1": "string",              "property2": "string"            },            "input_ids": [              "string"            ],            "name": "string",            "ports": [              {                "is_nodeport": true,                "node_port": 0,                "port": 0,                "protocol": "TCP"              }            ],            "protected_variables": [              "string"            ],            "resources": {              "cpu_limits_millicores": -1,              "cpu_requests_millicores": -1,              "memory_limits_megabytes": -1,              "memory_requests_megabytes": -1            },            "run_command": "string",            "security_context": {              "capabilities": {                "add": [                  "string"                ],                "drop": [                  "string"                ]              },              "privileged": true            },            "type": "github",            "variable_displays": [              {                "description": "string",                "display_name": "string",                "name": "string"              }            ],            "variable_references": [              {                "additional_template_sources": [                  "string"                ],                "is_host": true,                "resolve_as_normal_variable": true,                "source_id": "string",                "source_name": "string",                "target_name": "string",                "template_string": "string"              }            ],            "variables": [              {                "generator": {                  "add_prefix": "string",                  "base_domain": "string",                  "convex_params": {                    "AdminKeyOutputKey": "string",                    "InstanceName": "string",                    "SecretOutputKey": "string"                  },                  "hash_type": "sha256",                  "input_id": "string",                  "jwt_params": {                    "AnonOutputKey": "string",                    "Issuer": "string",                    "SecretOutputKey": "string",                    "ServiceOutputKey": "string"                  },                  "type": "email"                },                "name": "string",                "value": "string"              }            ],            "variables_mounts": [              {                "name": "string",                "path": "string"              }            ],            "volumes": [              {                "capacity_gb": "string",                "mountPath": "string",                "name": "string"              }            ]          }        ],        "version": 0      },      "description": "string",      "display_rank": 0,      "icon": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "immutable": true,      "keywords": [        "string"      ],      "name": "string",      "resource_recommendations": {        "minimum_recommended_cpu": 0.1,        "minimum_recommended_ram_gb": 0.1      },      "version": 0    }  ]}